Subject: Re: bug#7378: 23.2; grep buffer misinterprets result if filename contains colon character

From: Stefan Monnier <[email-masked]>
Date: Wed, 07 Sep 2011 22:52:12 -0400

> The only way to do this reliably with GNU grep is to ask it to output
> escape sequences around file names and line numbers.  From `man grep':

>   fn=35 SGR substring for file names prefixing any content line.
>   The default is a magenta text foreground over the terminal's
>   default background.

>   ln=32 SGR substring for line numbers prefixing any content line.
>   The default is a green text foreground over the terminal's
>   default background.

> Then `grep-filter' could find these escape sequences and highlight,
> and `grep-regexp-alist' could calculate column positions of the highlighted
> file names and line numbers.

> Is it worth a try?

Feel free to try, but not for 24.1.  And please try and quantify the
performance impact (if any), because M-x grep is already too slow.

        Stefan